Fix PCI module
ClosedPublic

Authored by konradr on Feb 11 2019, 8:27 AM.

Details

Reviewers
cfeck
Group Reviewers
Plasma
Commits
R102:8056039c7947: Fix PCI module
Summary

PCI module work properly only if PCI configuration structures are packed. This commit adds "#pragma pack" preprocessor directive to make it possible in wider range of compilers. It should be safe even if not supported since unknown "pragmas" should be ignored by compilers.

Diff Detail

Repository
R102 KInfoCenter
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
konradr created this revision.Feb 11 2019, 8:27 AM
Restricted Application added a project: Plasma. · View Herald TranscriptFeb 11 2019, 8:27 AM
Restricted Application added a subscriber: plasma-devel. · View Herald Transcript
konradr requested review of this revision.Feb 11 2019, 8:27 AM
konradr updated this revision to Diff 51397.Feb 11 2019, 9:12 AM

Would it be possible to commit the whitespace changes separately? They hide all the actual changes.

Ufff, I can try. Do you want new string names diff separated from "#pragrma pack" diff?

However, the only one important change is this two lines:
#pragma pack(push, 1)
#pragma pack(pop)

konradr updated this revision to Diff 61495.Jul 10 2019, 9:47 AM
konradr retitled this revision from Fix and update PCI module to Fix PCI module.
konradr edited the summary of this revision. (Show Details)
cfeck added inline comments.Jul 10 2019, 6:12 PM
Modules/pci/kpci_private.h
48

structure or structures?

49

seems to

cfeck requested changes to this revision.Jul 10 2019, 6:26 PM
This revision now requires changes to proceed.Jul 10 2019, 6:26 PM
konradr updated this revision to Diff 61562.Jul 11 2019, 6:21 AM
cfeck accepted this revision.Jul 11 2019, 12:01 PM
This revision is now accepted and ready to land.Jul 11 2019, 12:01 PM
Closed by commit R102:8056039c7947: Fix PCI module (authored by konradr, committed by cfeck). · Explain WhyThu, Aug 1, 11:40 PM
This revision was automatically updated to reflect the committed changes.